import std.experimental.logger;
import vibe.d;

import article;
import page;
import project;

import cache;
import http;
import watcher;


void main() {
	startHTTPServer();

	// Start indexing pages.
	runTask({
		initPages!Page(&pages, "pages");
	});
	runTask({
		initPages!Article(&articles, "articles");
	});
	runTask({
		initPages!Project(&projects, "projects");
	});
	runApplication();
}
